Author Topic: can't update VM 3.0.16  (Read 527 times)


  • Beginner
  • *
  • Posts: 6
can't update VM 3.0.16
« on: March 09, 2017, 11:18:00 am »

I am working on a site which is using VM 3.0.16. Update for 3.0.18 is not shown. Installing VM 3.0.18 with joomla file upload works. At least it looks like but VM still shows version 3.0.16.

What else can I do?

  • 3rd party VirtueMart Developer
  • Jr. Member
  • *
  • Posts: 112
  • VirtueMart Templates Developer
  • VirtueMart Version: 3.2.24
Re: can't update VM 3.0.16
« Reply #1 on: March 09, 2017, 12:56:17 pm »

in $JOOMLA_ROOT/components/com_virtuemart check if files has been updated using any FTP client
Try to clear Joomla cache (System -> Clear cache --- Delete All)

We develop VirtueMart templates since 2008
Join the VirtueMart Templates Club today and get an access to over 60 VirtueMart templates
If you need a custom VirtueMart Template design please visit
Visit our new shop
Join the VirtueMart Templates Club, purchase the template or order one of our services like Hosting, Website Maintenance, Security and Optimization, Template Customization and more


  • Beginner
  • *
  • Posts: 6
Re: can't update VM 3.0.16
« Reply #2 on: March 20, 2017, 15:13:28 pm »
Sorry for the late answer. I had a sports injury that forced me to take a couple of days off.

Clearing cache does not change anything.

In the meantime the joomla updater shows VirtueMart 3.2.0. Installing this version runs into an internal server error :(


  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 26644
  • Always on vacation
    • Jenkin Hill Internet
Re: can't update VM 3.0.16
« Reply #3 on: March 20, 2017, 15:30:58 pm »
Check error log for cause of 500 error.

I always update using Joomla's extensions manager rather than the suto-updater.

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM3.2.13.9772 on Joomla 3.8.6 PHP 7.0.27

Testing VM3.2.13.9778 on J3.8.6